import { IAdvertisement } from "../../models/IModels";
import { AdCard } from "../cardComponents/AdCard";

export function AdBlock({ads}: {ads: any[]}) {
    return (
        <div className="AdBlock border-solid border-2 border-slate-100" style={{height: 'auto', minHeight: '100%', width: '30%'}}>
            <p>Реклама</p>
            {ads.map(ad => <AdCard key={ad.id} ad={ad} />)}
        </div>
    );
}
