export interface IAlbum {
    id: string
    name: string;
    cover: string;
    year: string;
    genres: string[];
}

export interface IBand {
    id: string
    name: string;
    city: string;
    country: string;
    years: string;
    genres: string[];
    description: string;
}

export interface IGenre {
    id: string;
    name: string;
}

export interface ISong {
    id: string
    song_name: string;
    band_name: string;
    cover: string;
    genreid: string;
    albumid: string;
    source: string;
    band_id: string;
    album_name: string;
    genre_name: string;
    playlists: string[];
}

export interface IPlaylist {
    genres: string[];
    id: string
    name: string;
    cover: string;
    description: string;
    songs: string[];
}
export interface SongProps {
    song: ISong;
  }

export interface IAdvertisement {
    id: string
    name: string;
    photo: string;
}