import React from 'react';
import { Button } from 'antd';
import { CurrentTrack } from '../songComponents/CurrentTrack';
import { ISong } from '../../models/IModels';

export function Footer() {
  return (
    <div className="Footer bg-red-900 border-solid border-2 border-slate-100">
      
      <div className="container mx-auto">
        <p id="footer-text" className="text-lg"> 2022 Music Service</p>
        <ul className="flex">
          <li className="mr-4">
            <a href="/about" className='footer-button' type='button'>About</a>
          </li>
          <li>
            <a href="/contact"  className='footer-button' type='button'>Contact</a>
          </li>
        </ul>
      </div>
    </div>
  );
}
