import React from 'react';
import { Button } from 'antd';
import { UserOutlined } from '@ant-design/icons';

export function Header() {
  return (
    <div className="flex items-center justify-between p-4 border-b bg-gradient-to-bl from-red-900 to-red-600 border-solid border-2 border-slate-100">
      <h1 className="text-3xl font-bold">😈 DEVIL music</h1>
      <Button href="/login" style={{ width: 30, height: 30 }}>
        <UserOutlined />
      </Button>
    </div>
  );
}